Description

Numeric scale for geographic coordinate systems (i.e. EPSG:4326) is wrong when you add a view(4326) in map, the scale also
appears incorrect.
1.- Open gvSIG
2.- Open new view
3.- Change properties of View:Change current projection to EPSG 4326
4.- Add layer (http://downloads.gvsig.org/download/geodata/vector/SHP2D/esp_4326.zip)
5.- Click Show menu/ Select project for open the project manager dialog box
6.- Open new Map
7.- Insert the view in mapa (Insert view tool)
8.- Insert scale in map (Insert scale tool) 
The scale that appears is incorrect.
----------------------------------
La escala numérica de sistemas de coordenadas geográficas (EPSG: 4326) es incorrecta cuando se agrega una vista (4326) en el
mapa, la escala también resulta errónea.
1 -. Abrir gvSIG
2 -. Abrir una Vista
3 - Cambiar las propiedades de la Vista. Cambiar proyección actual a EPSG: 4326 
4 -. Añadir capa (http://downloads.gvsig.org/download/geodata/vector/SHP2D/esp_4326.zip)
5 -. Haga clic en menu Show / Seleccionar proyecto para abrir el cuadro de diálogo de Gestor de proyectos
6 -. Abrir un nuevo mapa
7 -. Insertar la vista en el mapa (herramienta Insertar Vista)
8 -. Insertar escala 
La escala que aparece no es correcta.

History
#1 - 10/31/2012 09:14 AM - María Maluenda

In gvSIG 1.11 with View and layer in EPSG 4326, also appears incorrect the scale of the map.

#2 - 12/12/2013 01:26 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez
http://downloads.gvsig.org/download/geodata/vector/SHP2D/esp_4326.zip
http://downloads.gvsig.org/download/geodata/vector/SHP2D/esp_4326.zip


#3 - 12/16/2013 10:27 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

Fixed computation of scale in layout document plugin.
gvsig-app-document-layout:r88

======

This clarifies the current (and strange) behavior of the getScale(minx, maxx, pixels, dpi) method of IProjection. This should be changed (minx and
maxx should be in map units instead of meters or simply remove the method from the API).
gvsig-jcrs:r207
gvsig-desktop:r40983

#4 - 01/13/2014 08:55 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#5 - 01/27/2014 04:21 PM - Álvaro Anguix
- Status changed from Fixed to Closed
